Subaccounts
Endpoints for managing merchant sub-accounts (operators).
The object
Operator account for a merchant.
Attributes
- id integer required
- username string requiredExample:
"operator1@mydomain.com" - nickname string nullableExample:
"Operator 1" - disabled boolean required
- created_at string date-time required
The timestamp of when the operator was created.
- updated_at string date-time required
The timestamp of when the operator was last updated.
- permissions object required
Permissions assigned to an operator or user.
CloseAttributes- create_moto_payments boolean required
- create_referral boolean required
- full_transaction_history_view boolean required
- refund_transactions boolean required
- admin boolean required
-
- account_type string requiredOptions:
operatornormal
{ "id": 0, "username": "operator1@mydomain.com", "nickname": "Operator 1", "disabled": false, "created_at": "", "updated_at": "", "permissions": { "create_moto_payments": false, "create_referral": false, "full_transaction_history_view": false, "refund_transactions": false, "admin": false }, "account_type": ""}List operatorsDeprecated
Returns list of operators for currently authorized user's merchant.
Query Parameters
- query string
Search query used to filter users that match given query term.
Current implementation allow querying only over the email address. All operators whos email address contains the query string are returned.
- include_primary boolean
If true the list of operators will include also the primary user.
Response 200
- id integer required
- username string requiredExample:
"operator1@mydomain.com" - nickname string nullableExample:
"Operator 1" - disabled boolean required
- created_at string date-time required
The timestamp of when the operator was created.
- updated_at string date-time required
The timestamp of when the operator was last updated.
- permissions object required
Permissions assigned to an operator or user.
CloseAttributes- create_moto_payments boolean required
- create_referral boolean required
- full_transaction_history_view boolean required
- refund_transactions boolean required
- admin boolean required
-
- account_type string requiredOptions:
operatornormal
curl https://api.sumup.com/v0.1/me/accounts \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.subaccounts.listSubAccounts();using SumUp;
var client = new SumUpClient();
var result = await client.Subaccounts.ListSubAccountsAsync();import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.subaccounts().listSubAccounts();from sumup import Sumup
client = Sumup()
result = client.subaccounts.list_sub_accounts()$sumup = new \SumUp\SumUp();
$result = $sumup->subaccounts->listSubAccounts();client := sumup.NewClient()
result, err := client.Subaccounts.ListSubAccounts(context.Background())use sumup::Client;
let client = Client::default();
let result = client.subaccounts().list_sub_accounts(sumup::ListSubAccountsParams{ query: Some("query".to_string()), include_primary: Some("include_primary".to_string()),}).await;[ { "id": 0, "username": "operator1@mydomain.com", "nickname": "Operator 1", "disabled": false, "created_at": "", "updated_at": "", "permissions": { "create_moto_payments": false, "create_referral": false, "full_transaction_history_view": false, "refund_transactions": false, "admin": false }, "account_type": "" }]Create an operatorDeprecated
Creates new operator for currently authorized users' merchant.
Body Parameters
- username string email requiredExample:
"operator1@mydomain.com" - password string min length: 8 requiredExample:
"correct horse batter staple" - nickname stringExample:
"Operator 1" - permissions objectCloseAttributes
- create_moto_payments boolean
- create_referral boolean
- full_transaction_history_view boolean
- refund_transactions boolean
-
Response 200
- id integer required
- username string requiredExample:
"operator1@mydomain.com" - nickname string nullableExample:
"Operator 1" - disabled boolean required
- created_at string date-time required
The timestamp of when the operator was created.
- updated_at string date-time required
The timestamp of when the operator was last updated.
- permissions object required
Permissions assigned to an operator or user.
CloseAttributes- create_moto_payments boolean required
- create_referral boolean required
- full_transaction_history_view boolean required
- refund_transactions boolean required
- admin boolean required
-
- account_type string requiredOptions:
operatornormal
curl https://api.sumup.com/v0.1/me/accounts \ -X POST \ -H "Authorization: Bearer $SUMUP_API_KEY" \ --json '{ "username": "operator1@mydomain.com", "password": "correct horse batter staple" }'import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.subaccounts.createSubAccount({ username: "operator1@mydomain.com", password: "correct horse batter staple",});using SumUp;
var client = new SumUpClient();
var result = await client.Subaccounts.CreateSubAccountAsync( new CreateSubAccountBody { Username = "operator1@mydomain.com", Password = "correct horse batter staple", });import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.subaccounts().createSubAccount( CreateSubAccountBody.builder() .username("operator1@mydomain.com") .password("correct horse batter staple") .build());from sumup import Sumup
client = Sumup()
result = client.subaccounts.create_sub_account(CreateSubAccountBody( username="operator1@mydomain.com", password="correct horse batter staple",))$sumup = new \SumUp\SumUp();
$result = $sumup->subaccounts->createSubAccount([ 'username' => 'operator1@mydomain.com', 'password' => 'correct horse batter staple',]);client := sumup.NewClient()
result, err := client.Subaccounts.CreateSubAccount(context.Background(), sumup.SubaccountsCreateSubAccountParams{ Username: "operator1@mydomain.com", Password: "correct horse batter staple",})use sumup::Client;
let client = Client::default();
let result = client.subaccounts().create_sub_account(sumup::CreateSubAccountBody{ username: "operator1@mydomain.com".to_string(), password: "correct horse batter staple".to_string(),}).await;{ "id": 0, "username": "operator1@mydomain.com", "nickname": "Operator 1", "disabled": false, "created_at": "", "updated_at": "", "permissions": { "create_moto_payments": false, "create_referral": false, "full_transaction_history_view": false, "refund_transactions": false, "admin": false }, "account_type": ""}Path Parameters
- operator_id integer required
The unique identifier for the operator.
Response 200
- id integer required
- username string requiredExample:
"operator1@mydomain.com" - nickname string nullableExample:
"Operator 1" - disabled boolean required
- created_at string date-time required
The timestamp of when the operator was created.
- updated_at string date-time required
The timestamp of when the operator was last updated.
- permissions object required
Permissions assigned to an operator or user.
CloseAttributes- create_moto_payments boolean required
- create_referral boolean required
- full_transaction_history_view boolean required
- refund_transactions boolean required
- admin boolean required
-
- account_type string requiredOptions:
operatornormal
curl https://api.sumup.com/v0.1/me/accounts/{operator_id} \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.subaccounts.compatGetOperator("operator_id");using SumUp;
var client = new SumUpClient();
var result = await client.Subaccounts.CompatGetOperatorAsync( "operator_id");import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.subaccounts().compatGetOperator( "operator_id");from sumup import Sumup
client = Sumup()
result = client.subaccounts.compat_get_operator("operator_id")$sumup = new \SumUp\SumUp();
$result = $sumup->subaccounts->compatGetOperator('operator_id');client := sumup.NewClient()
result, err := client.Subaccounts.CompatGetOperator(context.Background(), "operator_id")use sumup::Client;
let client = Client::default();
let result = client.subaccounts().compat_get_operator("operator_id").await;{ "id": 0, "username": "operator1@mydomain.com", "nickname": "Operator 1", "disabled": false, "created_at": "", "updated_at": "", "permissions": { "create_moto_payments": false, "create_referral": false, "full_transaction_history_view": false, "refund_transactions": false, "admin": false }, "account_type": ""}Update an operatorDeprecated
Updates operator. If the operator was disabled and their password is updated they will be unblocked.
Path Parameters
- operator_id integer required
The unique identifier for the operator.
Body Parameters
- password string min length: 8Example:
"correct horse batter staple" - username string max length: 256email
- disabled boolean
- nickname stringExample:
"Operator 1" - permissions objectCloseAttributes
- create_moto_payments boolean
- create_referral boolean
- full_transaction_history_view boolean
- refund_transactions boolean
-
Response 200
- id integer required
- username string requiredExample:
"operator1@mydomain.com" - nickname string nullableExample:
"Operator 1" - disabled boolean required
- created_at string date-time required
The timestamp of when the operator was created.
- updated_at string date-time required
The timestamp of when the operator was last updated.
- permissions object required
Permissions assigned to an operator or user.
CloseAttributes- create_moto_payments boolean required
- create_referral boolean required
- full_transaction_history_view boolean required
- refund_transactions boolean required
- admin boolean required
-
- account_type string requiredOptions:
operatornormal
curl https://api.sumup.com/v0.1/me/accounts/{operator_id} \ -X PUT \ -H "Authorization: Bearer $SUMUP_API_KEY" \ --json '{}'import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.subaccounts.updateSubAccount("operator_id", {
});using SumUp;
var client = new SumUpClient();
var result = await client.Subaccounts.UpdateSubAccountAsync( "operator_id", new UpdateSubAccountBody {
});import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.subaccounts().updateSubAccount( "operator_id", UpdateSubAccountBody.builder()
.build());from sumup import Sumup
client = Sumup()
result = client.subaccounts.update_sub_account("operator_id", UpdateSubAccountBody(
))$sumup = new \SumUp\SumUp();
$result = $sumup->subaccounts->updateSubAccount('operator_id', [
]);client := sumup.NewClient()
result, err := client.Subaccounts.UpdateSubAccount(context.Background(), "operator_id", sumup.SubaccountsUpdateSubAccountParams{
})use sumup::Client;
let client = Client::default();
let result = client.subaccounts().update_sub_account("operator_id", sumup::UpdateSubAccountBody{}).await;{ "id": 0, "username": "operator1@mydomain.com", "nickname": "Operator 1", "disabled": false, "created_at": "", "updated_at": "", "permissions": { "create_moto_payments": false, "create_referral": false, "full_transaction_history_view": false, "refund_transactions": false, "admin": false }, "account_type": ""}